| Verb | URI | Description | ||
| GET | /rdns/service_name?href=device-resource-uri |
List all PTR records configured for a Rackspace Cloud device. | ||
| GET | /rdns/service_name/recordId?href=device-resource-uri |
List details for a specific PTR record associated with a Rackspace Cloud device. | ||
| POST | /rdns | Add new PTR record(s) for a Rackspace Cloud device. | ||
| PUT | /rdns | Modify one or more PTR records associated with a Rackspace Cloud device. | ||
| DELETE | /rdns/service-name?href=device-resource-uri&ip=optional-ip-address |
Remove one or all PTR records
associated with a Rackspace Cloud device.
Use the optional ip
query parameter to specify a specific
record to delete. Omitting this parameter
removes all PTR records associated with
the specified device. |
||
Normal Response Code(s): 200, 202, and for remove record(s) also 204
Error Response Code(s): dnsFault (400, 500), serviceUnavailable (503), unauthorized (401), badRequest (400), itemNotFound (404), overLimit (413)
Cloud DNS supports the management of reverse DNS (PTR) records for Rackspace Cloud devices such as Cloud Load Balancers and Cloud Servers™ (both first generation and next generation). In order to manage the PTR records for Rackspace Cloud devices, the service as well as the device resource URI must be specified along with record details. The service is specified using the appropriate service name as returned in the service catalog from the Rackspace Cloud Authentication Service. The device resource URI was returned when the device was created via the appropriate service.
![]() | Note |
|---|---|
The device URI must specify the device itself and not one of its sub-resources. |
The following Rackspace Cloud services are supported in this version of the Cloud DNS API:
| Rackspace Cloud Service | Service Catalog Name | Supported API Version(s) | API Documentation |
| First Generation Cloud Servers™ | cloudServers | v1.0 | http://docs.rackspace.com/servers/api/v1.0/cs-devguide/content/index.html |
| Next Generation Cloud Servers™ powered by OpenStack™ | cloudServersOpenStack | v2 | http://docs.rackspace.com/servers/api/v2/cs-devguide/content/index.html |
| Cloud Load Balancers | cloudLoadBalancers | v1.0 | http://docs.rackspace.com/api/ |
The examples in the following sections illustrate using Cloud DNS to manage PTR records for Next Generation Cloud Servers powered by OpenStack. Using Cloud DNS API to manage other supported Rackspace Cloud devices only requires substituting the appropriate service catalog name and device resource URI.
In the examples that follow for each subsection,
should be replaced by your authenticated account ID. 1234

![[Note]](/cdns-v1.0-cdns-devguide/common/images/admon/note.png)
